/*  Tigase Jabber/XMPP Server
 *  Copyright (C) 2004-2008 "Artur Hefczyc" <artur.hefczyc@tigase.org>
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, version 3 of the License.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program. Look for COPYING file in the top folder.
 * If not, see http://www.gnu.org/licenses/.
 *
 * $Rev: 2571 $
 * Last modified by $Author: kobit $
 * $Date: 2011-03-23 00:45:45 +0100 (Wed, 23 Mar 2011) $
 */
package tigase.cluster.api;

import tigase.server.ServerComponent;

/**
 * Describe interface ClusteredComponent here.
 *
 *
 * Created: Mon Jun  9 20:00:46 2008
 *
 * @author <a href="mailto:artur.hefczyc@tigase.org">Artur Hefczyc</a>
 * @version $Rev: 2571 $
 */
public interface ClusteredComponentIfc extends ServerComponent {

	void setClusterController(ClusterControllerIfc cl_controller);

	void nodeConnected(String node);

	void nodeDisconnected(String node);

}
